<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('elevators', function (Blueprint $table) {
            // تغيير حجم حقل status ليكون أكبر ويستوعب القيم الجديدة
            $table->string('status', 50)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('elevators', function (Blueprint $table) {
            // إعادة حجم حقل status إلى الحجم الأصلي
            $table->string('status', 20)->change();
        });
    }
};
